Bug 151774 - gam_server "locks" alsa dmix device
gam_server "locks" alsa dmix device
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 04:39 EST by jeroen
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 08:21:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jeroen 2005-03-22 04:39:40 EST
When using totem+gstreamer for playing mp3s, after a while of inactivity, totem
refuses to play music anymore. When i close and restart totem, it says that the
dmix device is locked. Using lsof to determine which application has the dmix
device locked turned out to be gam_server. Killing gam_server (autorestarts
here) fixed the problem: i can play music again with totem.

Can't reproduce it atm somehow, but it has happened to me twice now (different
days). This is what lsof when totem is working ok:

[root@orcrist ~]# lsof /dev/snd/pcmC0D0p
COMMAND   PID   USER   FD   TYPE DEVICE SIZE NODE NAME
totem   31672 jeroen  mem    CHR 116,16      5887 /dev/snd/pcmC0D0p
totem   31672 jeroen   30u   CHR 116,16      5887 /dev/snd/pcmC0D0p
totem   31675 jeroen  mem    CHR 116,16      5887 /dev/snd/pcmC0D0p
totem   31675 jeroen   29u   CHR 116,16      5887 /dev/snd/pcmC0D0p

When the bug occurs, it lists gam_server instead of totem.
Comment 1 Sitsofe Wheeler 2005-03-22 15:17:45 EST
Which version of gamin is installed? (rpm -q gamin)
Comment 2 jeroen 2005-03-22 16:46:29 EST
Sorry, forgot that part: gamin-0.0.25-1.FC3
Comment 3 Daniel Veillard 2005-03-22 17:06:42 EST
The simplest is to build rules to forbid kernel (dnotify) monitoring of
resources under /dev/ . I will add a default internal rule about this,
the simplest in the meantime is to use the config file
    http://www.gnome.org/~veillard/gamin/config.html
and add 
    poll /dev/*
to ~/.gaminrc and run "killall gam_server"

  Hopefully it should solve the issue until the next release,

Daniel
Comment 4 Daniel Veillard 2005-03-23 06:03:01 EST
I double checked and 
       "/dev/*",
is part of the default list of excluded resources in gamin sources.
So the only way this could have happened are case where kernel monitoring
could be called on excluded resources. I found a couple of locations in
the code source where this might be possible, and fixed them in the source
code. I have commited the extra checks upstream, I will try to update
a new version. The first thing to do in the meantime is to update to 0.0.26
which has been around for 10 days now.

Daniel
Comment 5 jeroen 2005-03-23 06:54:38 EST
Though not yet in yum (as of this morning) for FC3. Thanks for the rest.
Comment 6 Daniel Veillard 2005-03-23 08:48:44 EST
not in Yum, and not pushed to yum !
  http://www.gnome.org/~veillard/gamin/SRPMS/

Daniel
Comment 7 Matthew Miller 2006-07-10 19:37:17 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.